%global packname  affy
%global bioc      2.9
%global Rvers     2.10.0

Name:             R-%{packname}
Version:          1.32.0
Release:          2%{dist}
Summary:          Methods for Affymetrix Oligonucleotide Arrays

Group:            Applications/Engineering 
License:          LGPLv2+ 
URL:              http://bioconductor.org/packages/%{bioc}/bioc/html/%{packname}.html
Source0:          http://bioconductor.org/packages/%{bioc}/bioc/src/contrib/%{packname}_%{version}.tar.gz
Patch0:           R-affy-1.32.0-bogus-deps.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-core >= %{Rvers} R-Biobase R-tkWidgets R-preprocessCore R-affyio
BuildRequires:    R-devel >= %{Rvers} tex(latex) R-Biobase R-tkWidgets R-preprocessCore-devel R-affyio
BuildRequires:    zlib-devel

%description
The package contains functions for exploratory oligonucleotide array 
analysis. 

The dependancy to tkWidgets only concerns few convenience 
functions. 'affy' is fully  functional without it.

%prep
%setup -q -c -n %{packname}
%patch0 -p0 -b .BAD

%build

%install
rm -rf %{buildroot}


# x86/x86_64 -> Architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
# Circular dependency with affydata
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
#i386 arch
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/tests

%changelog
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.32.0-1
- update to 1.32.0

* Wed Jun 22 2011 pingou <pingou@pingoured.fr> 1.30.0-1
- Update to version 1.30.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 26 2010 pingou <pingou@pingoured.fr> 1.28.0-1
- Update to version 1.28.0

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.24.2-1
- Update to 1.24.2
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Sun Aug 31 2009 pingou <pingou@pingoured.fr> 1.22.1-3
- Change BR from tetex-latex to tex(latex) to reflect new guidelines change
- Correct typo in the description

* Wed Aug 19 2009 pingou <pingou@pingoured.fr> 1.22.1-2
- Add R-preprocessCore-devel as BR (oops)

* Wed Aug 19 2009 pingou <pingou@pingoured.fr> 1.22.1-1
- Update to 1.22.1 which correct license issue

* Sat Aug 01 2009 pingou <pingou@pingoured.fr> 1.22.0-1
- initial package for Fedora
